/* 
 * Print error message to stderr and exit with status code.
 * $Id$
 * Copyright (c) 1997 by Tycho Softworks.
 * For conditions of distribution and reuse see product license.
 */

#include <other/string.h>
#include <std/files.h>
#include <std/process.h>
#include <stdarg.h>

void	fatal(int excode, const char *format, ...)
{
	va_list	args;
	
	va_start(args, format);
	vfprintf(stderr, format, args);
	va_end(args);
	exit(excode);
}

	
